package com.zhongshu.card.client.service.school;

import com.github.microservice.models.device.GateWaySyncParam;
import com.zhongshu.card.client.model.devices.GateWayInfoModel;
import com.zhongshu.card.client.model.devices.GateWayInfoParam;
import com.zhongshu.card.client.model.devices.GateWayInfoSearch;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author TRX
 * @date 2024/6/14
 */
public interface GateWayInfoService {
    ResultContent syncGateWayInfo(GateWaySyncParam.GateWaySyncInfo param);

    ResultContent updateGateArea(GateWayInfoParam param);

    ResultContent<Page<GateWayInfoModel>> page(GateWayInfoSearch param, Pageable pageable);

    ResultContent<GateWayInfoModel> getGateWayInfo(String gateWayId);

    ResultContent<List<GateWayInfoModel>> getAllGateWayInfo();

}
